For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

Delete Pages

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages
DELETE
/stores/:store_hash/v3/content/pages
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/content/pages?id:in=1&delete_children=true" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes one or more content pages. This endpoint supports bulk operations.
Was this page helpful?
Previous

Update Pages

Next

Get Page

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

id:inlist of integersRequired

Request deletion of multiple pages by passing a comma-separated string of corresponding page IDs. Supports bulk operations.

delete_childrenbooleanOptional

When you explicitly set this query parameter to true, deleting a parent page will recursively delete all its immediate children and their descendants. Otherwise, if you set this query parameter to false or not provided, deleting a parent page will update its immediate children by setting their parent_id to 0 and their is_visible status to false.

Response

No content. A 204 response with no payload indicates successful deletion of all specified pages.

Errors

404
Not Found Error
422
Unprocessable Entity Error